For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leads
        • GETGet a lead by ID
        • GETGet all lead sources
        • GETGet lead source by ID
        • GETGet rentable items for a lead
        • POSTCreate Lead: ResMan
        • PUTUpdate Lead: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManLeads

Get a lead by ID

GET
/v1/leads/:id
GET
/v1/leads/:id
$curl https://api.propexo.com/v1/leads/id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_created_at": null,
17 "x_guestcard_id": null,
18 "x_id": "f526684a-e2c3-4425-bc65-559fa015fd5b",
19 "x_leasing_agent_id": "acef1ca1-d1c9-4c0c-8b03-f82b891402e9",
20 "x_property_id": "ae9994dd-846f-4466-9752-306df25f7882",
21 "x_unit_id_preferred": null,
22 "x_updated_at": null,
23 "x_lead_source_id": "000f2ced-b403-48ac-83a3-c0762b726198",
24 "address_1": "7810 West St",
25 "address_2": "Apt 3",
26 "city": "Orlando",
27 "country": "FL",
28 "custom_data": {},
29 "date_of_birth": null,
30 "desired_amenities": null,
31 "desired_floor_plan_id": null,
32 "desired_floor_plan_name": null,
33 "desired_lease_term_in_months": null,
34 "desired_max_rent_in_cents": 150000,
35 "desired_max_square_ft": null,
36 "desired_min_rent_in_cents": 120000,
37 "desired_min_square_ft": null,
38 "desired_num_bathrooms": 1.5,
39 "desired_num_bedrooms": 3,
40 "desired_unit_number": "string",
41 "desired_unit_type": null,
42 "email_1": "john.doe@example.com",
43 "email_2": "john.doe2@example.com",
44 "first_name": "John",
45 "ils": null,
46 "last_name": "Doe",
47 "lead_source": "2a15e56e-1fd7-4b63-88b5-81a79b0703ab",
48 "leasing_agent": "Jane Doe",
49 "middle_name": "Arnold",
50 "notes": "Looking for a 12 month lease.",
51 "number_of_occupants": 2,
52 "pets": [
53 {
54 "id": "clwktsp9v000008l31iv218hn",
55 "created_at": "2024-03-21T15:38:08.337Z",
56 "updated_at": "2024-03-22T10:59:45.119Z",
57 "last_seen": "2024-03-22T10:59:45.119Z",
58 "x_id": "string",
59 "age_in_years": 1.1,
60 "breed": "string",
61 "color": "string",
62 "gender_raw": "string",
63 "is_fixed": true,
64 "is_service_animal": true,
65 "name": "string",
66 "notes": "string",
67 "type": "string",
68 "weight_in_pounds": 1.1,
69 "custom_data": {}
70 }
71 ],
72 "phone_1_type": null,
73 "phone_1": "(555) 555-5555",
74 "phone_2_type": null,
75 "phone_2": "(555) 555-5554",
76 "state": "FL",
77 "status": "lost",
78 "target_move_in_date": "2023-10-31T00:00:00.000Z",
79 "zip": "32801",
80 "property_id": "clwi5xiix000008l6ctdgafyh",
81 "lead_source_id": null,
82 "unit_id_preferred": null,
83 "integration_id": "clwh5u07w000508me66sfh3um",
84 "integration_vendor": "RESMAN",
85 "screenings": [
86 {
87 "id": "clwktsp9v000008l31iv218hn",
88 "created_at": "2024-03-21T15:38:08.337Z",
89 "last_seen": "2024-03-22T10:59:45.119Z",
90 "x_id": "string",
91 "status_raw": "string",
92 "screening_date": "string"
93 }
94 ],
95 "x_unit_id": null,
96 "pet_details": null
97 }
98}
Get a lead by ID
Was this page helpful?
Previous

Get all lead sources

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error